#
# spec file for package sysconfig (Version 0.23.30)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         sysconfig
Version:      0.23.30
Release:      39
Summary:      The sysconfig scheme
Group:        System/Base
License:      GPL
Autoreqprov:  on
Requires:     iproute2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %fillup_prereq %insserv_prereq textutils fileutils gawk /usr/bin/sed
Source:       sysconfig-%{version}.tar.bz2
Patch:        ifup-wireless.dif
Patch1:       ifup-wireless2.dif

%description
This package provides the SuSE system configuration scheme.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Bjoern Jacke <bjoern@j3e.de>
    Mads Martin Joergensen <mmj@suse.de>
    Peter Poeml <poeml@suse.de>
    Arvin Schnell <arvin@suse.de>
    Michal Svec <msvec@suse.cz>
    Christian Zoz <zoz@suse.de>

%prep
%setup -n sysconfig-%{version}
%patch
%patch1

%build
autoreconf --force --install
./configure		 --prefix=/ 				\
			--sbindir=/sbin 			\
		     --sysconfdir=%{_sysconfdir}		\
			 --mandir=%{_mandir} 			\
       --with-fillup-templatesdir=/var/adm/fillup-templates
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/scripts

%files
%defattr(-,root,root)
/etc/init.d/*
%config(noreplace) /etc/sysconfig/network/config
%config(noreplace) /etc/sysconfig/network/ifcfg-lo
%config(noreplace) /etc/ppp/ip-up
%config(noreplace) /etc/ppp/ip-down
/etc/sysconfig/network/ifcfg.template
#/etc/sysconfig/network/providers/*
/etc/sysconfig/network/scripts/*
/etc/ppp/poll.tcpip
/sbin/*
%doc /usr/share/doc/packages/sysconfig
%{_mandir}/*/*
/var/adm/fillup-templates/remove_old_netconfig
/var/adm/fillup-templates/sysconfig.dhcp-network
/var/adm/fillup-templates/sysconfig.wireless-network
/var/run/sysconfig

%post 
etc/sysconfig/network/scripts/oldnet2new.sh
# look if dhclient.rc.config is present
if [ -f etc/rc.config.d/dhclient.rc.config ] ; then
  mv etc/rc.config.d/dhclient.rc.config etc/rc.config.d/dhcp.rc.config
fi
# but prefer dhcpcd.rc.config as template (because it has more variables and is used more frequently)
if [ -f etc/rc.config.d/dhcpcd.rc.config ] ; then
  mv etc/rc.config.d/dhcpcd.rc.config etc/rc.config.d/dhcp.rc.config
fi
%{fillup_and_insserv -fYn network}
%{fillup_only -dns dhcp network network}
%{fillup_only -dns wireless network network}

%postun
%{insserv_cleanup}

%changelog -n sysconfig
* Mon Nov 10 2003 - jg@suse.de
- scripts/ifup-wireless: Work-around for problems with
  madwifi driver (fixes bug #32761), fix for multiple
  key support for linux-wlanng devices
* Wed Oct 08 2003 - jg@suse.de
- ifup-wireless assuming WIRELESS="yes" for interface
  configurations of type wlan now (fixes bug #31871)
* Tue Sep 23 2003 - mmj@suse.de
- Suppress wireless warning with patch from jg
* Mon Sep 22 2003 - mmj@suse.de
- Typo fix from msvec
* Thu Sep 18 2003 - mmj@suse.de
- Add support for both types of writing gateway adresses in
  ifroute-sitX. From mludvig. [#30934]
* Wed Sep 17 2003 - mmj@suse.de
- Add fix for ifup.8 from mludvig.
* Wed Sep 17 2003 - zoz@suse.de
- Moved code in ifup that stripped ALIAS number from HWDESC some
  lines up where HWDESC is still unmodified. That fixes a loop
  triggered by 'ifup <hwdesc> <iface> -o hotplug doalias' if there
  are alias configurations. (Bug 31048).
- added debug message if ifup calls itself for alias configuration.
* Tue Sep 16 2003 - zoz@suse.de
- Don't call ifup-route with alias but only with master interface
  (happened with '-o dhcp')
- LABEL was not set for aliases (alias were set up, but could not
  be seen with ifconfig)
- ifdown-connection now checks the master interface if called with
  an alias (Same bug we had earlier in ifup-wireless)
* Tue Sep 16 2003 - zoz@suse.de
- write also hwdesc<->mode relations to the cache when
  hwdesc<->interface relation is written. Then remember the mode
  and add it to the recursive ifup call. (Bug 31048)
* Mon Sep 15 2003 - mmj@suse.de
- The ethtool info is slightly different in 2.6, so add fix from
  Gerd Knorr to handle both 2.4 and 2.6 [#30908]
* Mon Sep 15 2003 - jg@suse.de
- Prevent empty keys from being set for wlan-ng devices
* Mon Sep 15 2003 - zoz@suse.de
- Undo changes between 1.82 and 1.83 partially: If ifup is called
  with '-o rc' and STARTMODE=manual then look for a cached
  interface <-> config relation (= was set up manually before).
  Otherwise leave this interface untouched. (Bug 30763)
* Mon Sep 15 2003 - zoz@suse.de
- Don't ask ethtool for info from unavailable interfaces, because
  tries to 'modprobe' the interface. This results in unnecessary
  error messages at boottime with e.g. dsl interfaces (Bug 30571)
* Mon Sep 08 2003 - zoz@suse.de
- added and fixed some comments
- added delete_cached_hwdesc_file() to functions
- ifup: Set INTERFACE="" because it is exported from calling
  hotplug scripts
- fixed cases in which we try to obtain a HWDESC for an INTERFACE
- fixed caching of HWDESC <-> INTERFACE relations. Cache them also
  if HWDESC was determined via get_hwdesc()
- avoid a loop in ifup calling itself recursively: Check if iface
  is really available before callinig ifup
- remove cached HWDESC <-> INTERFACE relations when ifdown was
  called from hotplug
- Only use interface alias name as label if no LABEL was set.
* Fri Sep 05 2003 - poeml@suse.de
- dhcpcd-hook: fix the broken debug message "new IP address: )" as
  described in [#29945]
* Wed Sep 03 2003 - mmj@suse.de
- Only move the temporary files if they are there [#29936]
* Mon Sep 01 2003 - mmj@suse.de
- Make it version 0.23.30
* Mon Sep 01 2003 - zoz@suse.de
- Changes in /etc/sysconfig/network/scripts/functions:
  + functions *_cached_config_data() now have a additional
  optional argument to set the file prefix (up to now always
  'if-'). Needed to cache not only CONFIG <-> INTERFACE
  releations but also HWDESC <-> INTERAFACE relations when no
  matching configuration could be found. This information will
  be used later with 'rcnetwork restart' if a configuration for
  that HW was created in meantime.
  + made functions {write,delete}_cached_config_data() more
  robust by using a temporary file.
  + write_cached_config_data() does not longer write lines with
  empty values
  + delete_from_cached_config_data() removes new empty files
  immediately.
  + added function grep_cached_hwdesc_data() to get all HWDESC
  <-> INTERFACE relations where HWDESC contains CONFIG.
  + added new functions for determining a hardware description
  from an interface name using ethtool and /var/lib/pcmcia/stab:
  ask_ethtool, grep_pcmcia_stab and get_pcmcia_slot() are just
  helper functions for get_hwdesc().
- Changes in /sbin/ifup:
  + fixed some comments
  + Use cached CONFIG only if ifup was called with one argument
  (<config>) and if this <config> seems to be an interface name.
  + cache HWDESC <-> INTERFACE relation if no CONFIG was found.
  Only when ifup and if option 'hotplug' was used.
  + Don't set INTERFACE=rc_manual if it already was a available
  interface.  + Search for HWDESC <-> INTERFACE relations if no
  interface was found for an existing CONFIG. Call ifup again
  with all matching HWDESC INTERFACE pairs.
  + delete cached HWDESC <-> INTERFACE relation if there finaly
  is a valid CONFIG <-> INTERFACE relation.
  + Always cache CONFIG <-> INTERFACE releations, even if called
  from rcnetwork.
  + try to get a hardware description with get_hwdesc() if no
  CONFIG <-> HWDESC relation was cached and if option 'hotplug'
  was used.
* Fri Aug 29 2003 - poeml@suse.de
- Fix a warning message issued by the dhcpcd-hook script [#29581]
  when being called without a leaseinfo file specified. This
  happened when a DHCP lease had never acquired before, like during
  the installation, so such a file had not been created. (poeml)
- ifup: added setting of MTU for 6to4 tunnel interfaces (zoz)
- ifup: Fixed some error messages and a typo (zoz)
- non functional change in scripts/functions and rcnetwork:
- RUN_FILES_BASE now contains only the path (/var/run/sysconfig)
  and no longer the filename prefix 'if-'. Filename prefixes are
  added where $RUN_FILES_BASE is used. (zoz)
* Wed Aug 27 2003 - mmj@suse.de
- Updates from jg:
  o Set default for variable WIRELESS back to "" from "no"
  o Exiting without error now in case we do not have the apropriate
  tools and WIRELESS is not set to "yes" [#29323]
* Mon Aug 25 2003 - poeml@suse.de
- add the /etc/sysconfig/network/scripts/dhcpcd-hook script that is
  run by the dhcpcd DHCP client upon interface configuration
  (up/down/new address). dhcpcd-hook in turn runs 'ifup <interface>
-o dhcp'. Comment in sysconfig.dhcp-network adjusted.
- make waiting time for dhcp client on bootup configurable [#27780]
- add documentation about the DHCLIENT_PRIMARY_DEVICE variable,
  and documentation about running multiple DHCP clients
- add hint about DHCLIENT_CLIENT_ID to the documentation of the
  DHCP sysconfig template
- add activation metadata to the sysconfig templates [#28960]
* Mon Aug 25 2003 - mmj@suse.de
- Update to version 0.23.29:
   code to set up interface bonding
   fix ifup-wireless error message
   Added hook to is_iface_available();
   Set MTU _after_ interface link is up
   Avoid duplicate forwarders in named.conf [#28459]
   Move /etc/sysconfig/* directories to filesystem package
   Added auto-detection for wlan devices
   Get rid of /var/lib/firewall (old personal-firewall cruft) [#28795]
   Support for tunnel of different type: ipip, gre, sit and 6to4
   Improved messages for rcnetwork if multiple adresses are configured
   New option "dhcp" to if* and if*-route:
- if* will no longer call POST_UP and PRE_DOWN scripts if
  not called with '-o dhcp' (PRE_UP and POST_DOWN are still
  called)
- if* will call POST_UP and PRE_DOWN script and if*-route if
  called with '-o dhcp'
- if*-route will not read /etc/sysconfig/network/routes if
  called with '-o    dhcp'. Only ifroute-* will be used.
  (dhcp client will call 'if* <interface> -o dhcp' when it
  got/lost/renewed a lease. So POST_UP will be executed after
  the interface is really up and configured.)
   Other small fixes and formatting changes
* Tue Aug 12 2003 - poeml@suse.de
- 'rcnetwork status' was, when using ISC dhclient, showing the wron
  lease from /var/lib/dhcp/dhclient.leases. It showed the first one,
  but since the leases file is written like a log, the most current
  lease can be found at the end. Fix this with a patch by Thomas
  Moschny from University of Karlsruhe. [#26566]
- ifup-802.1q: The vconfig tool lives in /usr/sbin, not /sbin, and
  the previous fix for this was not complete [#26430]
- fold in Thorsten's change from Jun 11 2003
* Fri Jul 25 2003 - arvin@suse.de
- use absolute path for runlevel in poll.tcpip
* Wed Jun 11 2003 - kukuk@suse.de
- Move /etc/sysconfig/* directories to filesystem package
* Fri May 09 2003 - mmj@suse.de
- Ensure correct ordering of the devices [#26432]
* Tue Apr 01 2003 - mmj@suse.de
- 0.23.28:
   Fold in 8.2 patches
   It's /usr/sbin/vconfig not /sbin/vconfig
   Fix ifup man-page FILES section
   It's STARTMODE not BOOTMODE
* Tue Mar 11 2003 - mmj@suse.de
- Add nullglob fix from zoz [#24917]
* Tue Mar 11 2003 - mmj@suse.de
- If there's not IP-address like in the case with DHCP the
  oldnet2new.sh script did not write a configuration file at all.
  Moved the check for $IPADDR to fix that [#25060]
* Mon Mar 10 2003 - ro@suse.de
- call insserv with -f if needed
* Mon Mar 10 2003 - mmj@suse.de
- Don't make symlink for pcmcia [#24925]
* Tue Feb 25 2003 - zoz@suse.de
- Fixed bug in ifup: read_cached_config_data() returned empty
  string to INTERFACE and this must not be [#23830]
* Fri Feb 21 2003 - mmj@suse.de
- Add nullglob to avoid errormessages [#23798]
* Thu Feb 20 2003 - poeml@suse.de
- 0.23.27:
- add meaningful exit codes to /sbin/ifstatus-dhcp (cf. bug
  #23593). Before, a call to 'rcnetwork status' would get always
  0 from it, so DHCP interfaces were always "running".
- sysconfig.dhcp-network: change default of
  DHCLIENT_MODIFY_NIS_CONF to "yes" (cf. bug #23734). The
  reasoning is that the default of DHCLIENT_SET_DOMAINNAME is
  "yes" and it does not make sense if only one of them is active.
* Mon Feb 17 2003 - mmj@suse.de
- Up to 0.23.26 - mostly changes by arvin and zoz
   functions, ifup - Changed handling runtime information in
  /var/run/sysconfig/if-* to store more info for ppp
   Removed misleading comment about automatic detection of WLAN
  hardware [#20431]
   Inform smpppd if we were called via rcnetwork.
* Tue Feb 11 2003 - mmj@suse.de
- Add a script to drop the extraneous eth-pcmcia symlink
* Thu Feb 06 2003 - mmj@suse.de
- Make metadata correct [#23343]
* Wed Jan 22 2003 - poeml@suse.de
- 0.23.25
- rcnetwork: add a restart-all-dhcp-clients action.
- ifup-dhcp:
- find stale pid files and delete them
- wait until a dhcpcd process is really gone, otherwise an
  'rcnetwork restart' can fail with "dhcpcd already running"
- modify_resolvconf man page: fix synopsis (-p is not optional)
- ifup-ppp: fixed status infos (arvin)
* Thu Jan 09 2003 - mmj@suse.de
- Fix ip link list on aliases. [#22826]
* Wed Jan 08 2003 - mmj@suse.de
- Add more sysconfig metadata
* Mon Jan 06 2003 - msvec@suse.cz
- better debugging functions
- clean up some superfluous messages
- decreased ifstatus verbosity if run from rcnetwork
- unified man pages
* Tue Dec 10 2002 - mmj@suse.de
- Added sysconfig metadata
* Fri Nov 15 2002 - arvin@suse.de
- adapted ifup-ppp to new smpppd concept (use one daemon per
  interface)
* Fri Nov 01 2002 - mmj@suse.de
- Cleaned up documentation with regards to old not used IPv6
  variables
* Thu Oct 24 2002 - mmj@suse.de
- Add the IPv6 patch from Olaf Kirch and bump version to 0.23.24
* Mon Oct 14 2002 - arvin@suse.de
- ifup-ppp adapted to move of cinternet from /usr/sbin to
  /usr/bin (bug #20841)
* Wed Sep 18 2002 - mmj@suse.de
- Up to 0.23.23: merge all pending patches and re-add README
* Mon Sep 16 2002 - arvin@suse.de
- fixed update of dsl configuration from 7.3 and older
  distributions (bug #19685)
* Tue Sep 10 2002 - poeml@suse.de
- fix an irritating error message in when setting up point-to-point
  devices.
  To print out the netmask (for other devices) the netmask is
  converted from the prefix length if needed. This used shell
  function (mask2pfxlen) leads to an ugly error message when called
  without argument.
- fix a wrong usage of "exit" instead of "return" in the other one
  of the netmask<->prefix conversion functions (mask2pfxlen). No
  known breakage so far, but in cases with misconfigured device
  configuration files (missing prefix/netmask) it is likely that
  ifup fails because the script is quit. [#19332]
* Mon Sep 09 2002 - ro@suse.de
- leave FIREWALL off by default
* Mon Sep 09 2002 - mmj@suse.de
- Add functionality to start the SuSEfirewall2 when interfaces
  are brought up. [#18840]
* Sat Sep 07 2002 - poeml@suse.de
- fix quoting in last change
* Fri Sep 06 2002 - mmj@suse.de
- Use /bin/awk instead of /usr/bin/tr [#19051]
* Fri Sep 06 2002 - msvec@suse.cz
- split and enhanced documentation
- removed obsolete, useless and empty files
- 0.23.22
* Thu Sep 05 2002 - mmj@suse.de
- Don't modprobe in ifup-wireless. From zoz. [#18755]
* Mon Sep 02 2002 - mmj@suse.de
- Fix typo in specfile, and therefore start network pr. default.
* Fri Aug 30 2002 - poeml@suse.de
- 0.23.21
- Before the rcnetwork<->ifup interface was cleaned up recently,
  ifstatus <device> returned quite some output when not called
  manually (not from rcnetwork). I added a function
  message_if_not_run_from_rc to be used in those cases where the
  behaviour shall depend on RUN_FROM_RC or not, restoring the old
  behaviour. See bug #18628. (poeml)
- Fix bug #18156: If rcnetwork is called as ./network from
  /etc/init.d, it bites us that we change dir to
  /etc/sysconfig/network always.  Executing $0 doesn't work
  therefore (used in "restart" et al.). So let's change to $OLDPWD
  in these cases to make it work. (poeml)
* Thu Aug 29 2002 - mmj@suse.de
- Fixes from zoz:
  o INTERFACETYPE was wrong for ifaces with two
  digit numbers. Fixes [#18074] and [#18524]
  o Changed return value for 'status' [#17764]
* Tue Aug 27 2002 - mmj@suse.de
- Do not mention /etc/sysconfig/firewall but instead mention
  /etc/sysconfig/SuSEfirewall2. [#18277]
* Mon Aug 19 2002 - mmj@suse.de
- kkeil fixed ip-up.d references the places I forgot.
* Mon Aug 19 2002 - mmj@suse.de
- /etc/ppp/if-{up,down}.d -> /etc/ppp/ip-{up,down}.d
* Mon Aug 19 2002 - poeml@suse.de
- scripts/network: - make 'rcnetwork ... -o quiet' work. So far,
  this option was not effective even though the documentation
  promised it. In fact, ifup and friends were always called with
  option "quiet", while now they get this option only   when it was
  given as argument to rcnetwork (BE_QUIET is unset otherwise).
- print messages only if "quiet" option was not given (using
  debug() instead of message() for info message)
- output of data during configuration:
- add message_n() function, equivalent to echo -n
- add pfxlen2mask() function to convert a prefix length to a
  netmask. This allows ifup to print the NETMASK even if only the
  prefix length might be given in the config files.
- so far, an ifcfg-123456abcdef file (MAC-address specific
  configuration) had to be named in lower case letters.  Now it can
  be upper case, too (which allows copy and paste from ifconfig
  output).
- as the documentation mentions the STARTMODE "[on]boot", "boot" is
  now also   recognized.
- ignore configurations with STARTMODE=off|ignore (--> returning
  R_NOTCONFIGURED)
- remove the (new and never used) DHCLIENT_RESTART_SERVICES hook --
  this is better handled by dhcpd-*.exe, or by ip-up.d/*
- make 'rcnetwork restart -o ...' work. So far, options would have
  been interpreted as interface names by the called scripts.
- replaced mask2pfxlen() function with a 30%% faster version
- don't handle the YP domainname -- it's taken care of in aaa_base
* Sun Aug 18 2002 - poeml@suse.de
- more oldnet2new.sh changes:
  o convert an unlimited number of interfaces, not only _0 _1 _2 _3
  o remove up to 32 instances of IPADDR_, NETDEV_, and IFCONFIG_
  variables from rc.config
  o read mtu from old config and write it as MTU= to ifcfg files
  o Handle YP domainname just in case it's not handled somewhere
  else
  o always source rc.config if present
- ifup-dhcp:
  o if a pid file for an interface exists but no corresponding
  process is running, delete it to allow dhcpcd to start [#16819]
  o increase waiting time for an address to 15
  o print NETMASK and HOSTNAME in addition to the IP address
  o DHCLIENT_HOSTNAME_OPTION: AUTO may be upper or lower case
  o add two new hooks: DHCLIENT_RESTART_SERVICES and DHCLIENT_SCRIPT_EXE
- allow to use MTU and LLADDR as options when setting up a link
- fix USEPEERDNS for ISDN (#17574)
- show IP address and netmask/peer when upping a device, except lo
- extend PreReqs to textutils, fileutils, gawk, /usr/bin/sed
- version 0.23.20
* Fri Aug 16 2002 - bk@suse.de
- oldnet2new.sh changes:
  o fix S/390 pointopoint interfaces ctc, escon, iucv and ci:
- move code shared with ippp/isdn to parse_ifconfig() and
  initialize NETMASK$I in the function head before converting
  o source rc.config if not called with rc.config env by YaST2
  o don't use empty NETMASK and BROADCAST variables
  o remove broken NETWORK variable
  o always put BOOT_MODE at the end
  o remove use of cat to avoid needing textutils
- add sed and fileutils to PreReqs.
* Mon Aug 12 2002 - mmj@suse.de
- Added comments to the wireless stuff [#17474]
* Fri Aug 09 2002 - mmj@suse.de
- Fix breakage of one to many %%dir added before
* Fri Aug 09 2002 - mmj@suse.de
- Folded in ip-{up,down} and poll.tcpip from aaa_base
- Added directories /etc/ppp/if-{up,down}.d, and support for exe-
  cuting scripts in there [#17534].
* Wed Aug 07 2002 - mmj@suse.de
- Added support for /etc/sysconfig/network/if-{up,down}.d dirs for
  scripts to be executed on up and down of interfaces. [#17463]
  Thanks to Andreas Hasenack <andreas@conectiva.com.br>
* Tue Aug 06 2002 - ihno@suse.de
- New Parameter WAIT_FOR_INTERFACES to wait for interfaces to be
  configured. Default is nowait (empty value)
* Fri Aug 02 2002 - poeml@suse.de
- package Olaf's ifup-802.1q
* Wed Jul 31 2002 - mmj@suse.de
- Add PreReq: for fillup_and_insserv
* Thu Jul 25 2002 - mmj@suse.de
- Fixed rcnetwork restart <dev> [#17107]
* Wed Jul 24 2002 - arvin@suse.de
- fixed selection of provider in ifup-ppp (bug #17167)
* Wed Jul 24 2002 - schwab@suse.de
- Fix syntax in oldnet2new script.
- Fix configure script and use autoreconf.
* Tue Jul 23 2002 - mmj@suse.de
- Added the insserv call for network.
* Wed Jul 17 2002 - mmj@suse.de
- Added vlan support from Olaf Kich <okir@suse.de>
* Wed Jul 10 2002 - mmj@suse.de
- Show the startmode rather than 'skipped'
* Tue Jul 09 2002 - arvin@suse.de
- fixed parsing of /etc/sysconfig/network/config in
  modify_resolvconf script
* Mon Jul 08 2002 - mmj@suse.de
- Start network in runlevel 2 pr. default.
* Mon Jul 08 2002 - mmj@suse.de
- New sysconfig package to sync with CVS
* Mon Apr 15 2002 - arvin@suse.de
- fixed boot order (dsl is now started after eth) (bug #15783)
* Fri Mar 22 2002 - kkeil@suse.de
- update old rc.config settings for ippp* and isdn* devices
* Fri Mar 22 2002 - mmj@suse.de
- This package should not own /etc/sysconfig but should own
  /etc/sysconfig/scripts
* Thu Mar 21 2002 - kkeil@suse.de
- set have to use set -- $... to set positional parameters (#15271)
* Tue Mar 19 2002 - mmj@suse.de
- Change R_INTERNAL to return 1 instead of the not-allowed 12. One
  is specified as "FAIL : 1 - generic or unspecified error"
  Fixes (Bug #15078)
* Mon Mar 18 2002 - mmj@suse.de
- Make rcnetwork fail nicely on wrong option (Bug #15111)
* Thu Mar 14 2002 - arvin@suse.de
- check for presents of modem0 in wvdial.conf before generating
  ifcfg-ppp0 during update
* Tue Mar 12 2002 - mmj@suse.de
- ifup-route:
- removed determination of INTERFACETYPE; it was never used
- treat 5th column in routes and ifroute-* like the first four
  and allow a dash if the type is omitted.
- config:
- removed NO_ROUTING_INTERFACETYPES, because it was not used
  anywhere
- manpages update
- network:
- don't drop configuration files which are symlinks when called
  manually.
- 'rcnetwork status': accept returnvalue R_BUSY as success;
  ifup-ippp returns R_BUSY if the interface is connected.
  (Bug #14858)
- ifup-dhcp, sysconfig.dhcp-network
- add DHCLIENT_SLEEP again, for the real broken devices
- ifup
- add missing \ in line 400 (Bug #14823)
- oldnet2new.sh
- Don't make PCMCIA link if it exists
- ifup-ppp
- added tiny sleep to avoid race condition
* Fri Mar 08 2002 - mmj@suse.de
- Always DHCLIENT_SET_DOWN_LINK=yes for pcmcia ifaces.
* Thu Mar 07 2002 - mmj@suse.de
- Don't save interface names for ppp and dsl ifaces (Bug #14497)
- Add ifcfg.template
- Fix the %%post way of calling oldnet2new.sh
- Convert MODIFY_RESOLV_CONF_DYNAMICALLY and CLOSE_CONNECTION
  correctly (Bug #14600)
* Wed Mar 06 2002 - arvin@suse.de
- fixed converting of modem and dsl config during update
* Wed Mar 06 2002 - mmj@suse.de
- Renamed variables for if*-connection and added an option to have
  verbose output from ifstatus without changing functionality
- rcnetwork should not kill all interfaces if option type is used
- Reduce output of 'rcnetwork' (Bug #14496)
* Tue Mar 05 2002 - ro@suse.de
- corrected postinstall-script
* Tue Mar 05 2002 - arvin@suse.de
- fixed return values of ifup-ppp script
* Mon Mar 04 2002 - mmj@suse.de
- Convert PCMCIA configs during update.
* Mon Mar 04 2002 - arvin@suse.de
- convert modem and dsl config during update (bug #14330)
* Mon Mar 04 2002 - mmj@suse.de
- 0.23.14
- /usr/bin/logger -> /bin/logger
- made rc.status aware of the current ACTION. Now it writes the
  right strings for a given error value (Bug #14061)
- fixed garbled output for rcnetwork status
- added a INFO to start and stop if any interface was skipped.
- Default CHECK_DUPLICATE_IP to 'no' (Bug #14280)
- while trying to get the right configuration file we always used
  the interfacetype derived from the interface argument (if
  available). So we could never call something
  like 'ifup eth-pcmcia tr0'.  Now we use the interfacetype
  derived from the interface argument only if there was no
  interfacetype in the config string.
- check STARTMODE not only for ifup, but also for ifstatus. One
  would hardly call ifstatus with -o hotplug or -o onboot, but on
  the other side with this change we will get interface
  information for hotplug interfaces from temporary files and can
  report their status too.
- ignore errors when shutting down an iface (in detail errors
  from 'ip address del/flush' and 'ip link set down'). I only got
  errors at these lines when calling that for an already
  unplugged hotplug device.  (Remember: we must call ifdown even
  for already unplugged devices, to clean up things like modified
  default routes or temporary interface information in
  /var/run/syslog/if-*)
* Thu Feb 28 2002 - mmj@suse.de
- Only put the UNIQUE information in the netconffile if not
  already present
* Tue Feb 26 2002 - mmj@suse.de
- Add option to /etc/init.d/network to allow only certain inter-
  face types to be started (rcnetwork <action> -o type=isdn,ippp)
- lo was still set down: fixed (it happened in the 'stop anything
  that is still alive' section after the main stopping loop)
- don't do any special if* calls when config is given as second
  argument
- added some options: [on]boot, hotplug, check, quiet, debug (like
  ifup)
- added option fake: don't call if*; instead print commands to
  stdout
- added option type=<comma sepearted list of iface types> to act
  only on that types of interfaces
* Tue Feb 26 2002 - mmj@suse.de
- version 0.23.13
- first use SIGTERM then SIGKILL, but only when KILL_CONNECTIONS is
  set.
- use ifuser again. Without it we would kill all connections/nfs
  mounts not only these of current iface
- improved output of ifstatus-connection
- added option check for ifstatus: it then returns R_BUSY (10) if
  there are open connections or nfs mounts (needed for pcmcia)
- return retval from 'ifup alias' calls
- It's not noarch anymore
* Tue Feb 26 2002 - mmj@suse.de
- version 0.23.12
- ifdown-connection: - dont check if available or up, because there
  might be connections of already unplugged devices which are
  neither available nor up.
- fixed message in check section
- functions: - if ifdown-* is called with -o hotplug, then
  is_iface_available() returns always 0.
- add option UMOUNT_NFS_WHEN_IFDOWN and comment out ifuser call
  in nfs_check()
* Fri Feb 22 2002 - mmj@suse.de
- version 0.23.11
- Make ifup more verbose about duplicate IP's
- is_iface_available returns 0 for ppp* and dsl*
- fixed wrong case for $ACTION in main loop - don't set up default
  route for noiface, lo, dummy
- merged 'add|replace' and 'status' loops to one loop and branch to
  this two cases in the middle of the loop.  There were too much
  common code in these two loops.
- STARTMODE mismatch is not longer logged as an error but as
  message - fixed error when -o doalias but there were no alias
  configs - tweaked CHECK_DUPLICATE error message again
* Wed Feb 20 2002 - kkeil@suse.de
- fix return value for isdn interface check
* Mon Feb 18 2002 - poeml@suse.de
- version 0.23.10:
- ifcfg-*: variable BOOTMODE is now called STARTMODE (fits better).
  Values are onboot, hotplug, or manual. Assume 'manual' when unset.
- rcnetwork: stop _all_ active devices and kill _all_ DHCP clients
  (not only the configured ones)
- try to bind routes to an interface
- is_iface_available considers ippp* and isdn* devices as always
  available
- ifup-route: add a link named ifstatus-route
* Mon Feb 18 2002 - mmj@suse.de
- Don't do any unique.inf stuff is it is not present ...
- ifdown-dhcp all will kill all dhcp clients
- change screen output of rcnetwork start, stop, status
* Mon Feb 18 2002 - mmj@suse.de
- Added a manpage for routes
* Mon Feb 18 2002 - mmj@suse.de
- Moved ppp and dsl scripts from /sbin to the correct place.
- Added functionality to convert old YaST.inf unique information
  to UNIQUE=
* Mon Feb 18 2002 - poeml@suse.de
- version 0.23.9:
- add directory /var/run/sysconfig/
- rcnetwork:
- fix usage of rc_status (always showed "done")
- print MESSAGE before the next script gets started
- ifdown-dhcp:
- don't rely on a pid file when looking for clients to kill.
- Make script output depending on whether called by rc script
  or not.
- config/sysconfig.dhcp-network: 5 is now the default
  RebootTimeOut
- oldnet2new.sh: take the chance and convert obsolete iSeries
  device names... veth --> eth (#12583)
* Fri Feb 15 2002 - poeml@suse.de
- version 0.23.8:
- never stop loopback device when calling rcnetwork directly
- added variable RUN_FILES_BASE for dynamic configuration of ifup
- ifup: changed BOOTMODE checking, added IP_OPTIONS
- scripts/network: changed removal of route stack run-time-files
- is_iface_available(): It will now only modprobe <interface> if
  called from ifup, because it must not trigger unwanted
  hotplug events (#13178, dhcpcd was started twice)
- ifup-dhcp and sysconfig.dhcp:
- add DHCLIENT_REBOOT_TIMEOUT (time that dhcpcd will try to
  reacquire a previous lease
- DHCLIENT_HOSTNAME_OPTION defaults to "AUTO", reads /etc/HOSTNAME
- add DHCLIENT_LEASE_TIME and DHCLIENT_ADDITIONAL_OPTIONS (#13211)
- detect whether dhcpcd is already running on the given device
- unified option handling and return values
* Mon Feb 11 2002 - poeml@suse.de
- new version 0.23.7:
- make dhcpcd work with multiple interfaces
  (DHCLIENT_PRIMARY_INTERFACE can be set in ifcfg-*; otherwise
  the first device is primary)
- add DHCP config variables for NIS, NTP, vendor class ID,
  default gateway configuration and DHCLIENT_BIN
- send hostname option by default (needed for DDNS)
- move ifdown-connection and ifup-{route,wireless} (and their
  links) from /sbin to /etc/sysconfig/scripts/
* Tue Feb 05 2002 - mmj@suse.de
- Small tweaks, update to 0.23.6
* Tue Feb 05 2002 - mmj@suse.de
- Lots of script updates, version 0.23.5
* Tue Feb 05 2002 - poeml@suse.de
- autoconfiscated, version 0.23.4
* Mon Feb 04 2002 - poeml@suse.de
- update ifup-dhcp
- add link /sbin/ifstatus-dhcp -> ifup-dhcp
- add modify_resolvconf and man page (moved from aaa_base package)
- add MODIFY_RESOLV_CONF_DYNAMICALLY to config
- don't copy ifup-ppp to ifup-dsl, link it
- add ifdown-wireless link
- fix permisisons of almost everything
* Mon Feb 04 2002 - arvin@suse.de
- fixed links for ppp and dsl
* Mon Feb 04 2002 - mmj@suse.de
- ifup-wireless and ifdown-connection added in addition to update
  to the most current version of everything.
* Thu Jan 31 2002 - mmj@suse.de
- dhcp updates
* Wed Jan 30 2002 - mmj@suse.de
- Use a proper version number
* Mon Jan 28 2002 - mmj@suse.de
- Added /etc/sysconfig/network/providers
* Mon Jan 28 2002 - mmj@suse.de
- Updated to newest scripts.
* Fri Jan 25 2002 - poeml@suse.de
- Add conveniance wrapper rcdhclient, telling to use the new scripts
* Fri Jan 25 2002 - arvin@suse.de
- added ppp and dsl support
* Wed Jan 23 2002 - mmj@suse.de
- Added symlink to ifdown-dhcp
* Wed Jan 23 2002 - mmj@suse.de
- Added ifup.1
- Fixed a typo in README
- Made usage() more fine-grained in ifup
- Fixed missing %%files entry for /etc/sysconfig/network/config
* Mon Jan 21 2002 - mmj@suse.de
- Updated config, functions, ifstatus-route, ifup ifup-dhcp,
  ifup-route and network
* Sat Jan 19 2002 - mmj@suse.de
- Updated ifup, ifup-route, functions, network, config
* Wed Jan 16 2002 - ro@suse.de
- added insserv calls
- fixed provides/requires of network script
* Wed Jan 16 2002 - mmj@suse.de
- Added routing conf conversion
* Wed Jan 16 2002 - mmj@suse.de
- Add missing rcnetwork -> /etc/init.d/network link
* Tue Jan 15 2002 - mmj@suse.de
- Fixed permissions and added a symlink from ifup-route ->
  ifdown-route
* Tue Jan 15 2002 - mmj@suse.de
- Fixed bugs and added hostname conversion
* Wed Nov 21 2001 - mmj@suse.de
- Initial package
